Package SimPy :: Module SimPlot :: Class GraphBars

[hide private]
[frames] | no frames]

# Class GraphBars

source code

    GraphPoints --+
                  |
                 GraphBars

Instance Methods | [hide private]

__init__(self, points, **attr) | source code

draw(self, canvas) | source code

Inherited from `GraphPoints`: `boundingBox`, `fitToScale`

Class Variables | [hide private]

| _attributes = ``{``'``color``'``:` `'``black``'``,` `'``fillcolor``'``:` `'``black``'``,` `'``fillst``...``

Method Details | [hide private]

### __init__(self, points, **attr)
(Constructor)

source code

Overrides: GraphPoints.__init__

Class Variable Details | [hide private]

### _attributes

Value:

      {'color': 'black',
       'fillcolor': 'black',
       'fillstyle': '',
       'outline': 'black',
       'size': 3,
       'width': 1}